Transfer Ordinals

Transfer ordinal to another address

circle-info

An API Key is required to interact with MarketPlace APIs. Please contact us to get an API Key and get started.

This endpoint creates a psbt to transfer one or more ordinals. Calling the endpoint returns a psbt which needs to be signed and broadcast by the seller's ordinal wallet address.

POST Transfer one or more Ordinals

Transfer one or more ordinals

POST https://api.ordinalsbot.com/marketplace/transfer-ordinals

API Key is required in the header:

headers: { 'x-api-key': '<YOUR_API_KEY>', ...otherHeaders }

transfer is an array with one or more objects. Each object needs an ordinal Id and receiver address. Example Request Body: { "transfer": [ { "ordinalId": "5f251...b9i0", "receiverOrdinalAddress": "tb1...yk3" },

{ "ordinalId": "2a920...c0i0", "receiverOrdinalAddress": "tb1...ze2" } ], "senderPaymentAddress": "2N6Z...bKL", "senderPaymentPublicKey": "0335...c05", "senderOrdinalPublicKey": "e581...a26" }

This will return a PSBT. The PSBT has to be signed and broadcast.

Request Body

Name
Type
Description

sellerOrdinalPublicKey*

String

The public key for the wallet address that owns the ordinal

transfer*

Array

An array of objects. Each object should have an id for the ordinal and an address for the receiver of that ordinal.

sellerPaymentAddress*

String

Payment wallet address for the seller, this wallet address will receive the payment the ordinal is sold

senderPaymentPublicKey*

String

The public key for the payment wallet, this will be used for fees


{
   "psbtBase64": "cHNidP8BA…yzcAAAAAAA==",
   "senderOrdinalInputs": [
       0,
       1
   ],
   "senderPaymentInputs": [
       2
   ]
}

Last updated